%define ocamlpck  alsa

Name:          ocaml-alsa
Version:       0.3.0
Release:       2mamba
Summary:       OCaml bindings to the alsa library
Group:         Development/Bindings
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://savonet.sourceforge.net/
Source:        https://github.com/savonet/ocaml-alsa.git/%{version}/ocaml-alsa-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libalsa-devel
BuildRequires: ocaml
BuildRequires: ocaml-runtime
## AUTOBUILDREQ-END
BuildRequires: ocaml >= 4.14.1
BuildRequires: dune
BuildRequires: ocaml-findlib
BuildRequires: pkg-config

%description
OCaml bindings to the alsa library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and signature files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
dune build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
DESTDIR=%{buildroot} dune install --prefix %{_prefix} --libdir %{_libdir}/ocaml

rm -rf %{buildroot}/usr/doc

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/ocaml/%{ocamlpck}
%{_libdir}/ocaml/%{ocamlpck}/META
%{_libdir}/ocaml/%{ocamlpck}/*.cma
%{_libdir}/ocaml/%{ocamlpck}/*.cmi
%{_libdir}/ocaml/stublibs/*.so*
%dir %{_libdir}/ocaml/alsa
%{_libdir}/ocaml/alsa/alsa.cmt
%{_libdir}/ocaml/alsa/alsa.cmti
%{_libdir}/ocaml/alsa/alsa.cmxs
%{_libdir}/ocaml/alsa/alsa.ml
%{_libdir}/ocaml/alsa/dune-package
%{_libdir}/ocaml/alsa/opam
%doc COPYING

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/%{ocamlpck}/*.a
%{_libdir}/ocaml/%{ocamlpck}/*.cmxa
%{_libdir}/ocaml/%{ocamlpck}/*.cmx
%{_libdir}/ocaml/%{ocamlpck}/*.mli
%doc README.md CHANGES.md

%changelog
* Thu Jul 06 2023 Sdk Build System <sdk@mambasoft.it> 0.3.0-2mamba
- rebuilt with ocaml 4.14.1

* Fri Feb 19 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.0-1mamba
- update to 0.3.0

* Sun Jun 23 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.2.1-2mamba
- install dll libs in stublibs because this directory is known by ocaml ans so we do not need to modify ld.conf

* Sun Jun 23 2013 Davide Madrisan <davide.madrisan@gmail.com> 0.2.1-1mamba
- package created by autospec
